package osgi.cache;

import net.sf.ehcache.Cache;

import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Ignore;
import org.junit.Test;

import osgi.cache.ContentCache;


public class GetElementsCacheTest {

	@Before
	public void setUp() {

	}
	
	@After
	public void tearDown() throws Exception {
				
	}
	
    @Test 
    public void getElementsCache() {
    	Cache cache = null;
    	try {
    		cache = ContentCache.getCache();
    		Assert.assertNotNull(cache);
    		
		} catch (Exception e) {
			e.printStackTrace();
			Assert.fail();
		}
    }
    
    @Ignore("No se ejecuta ya que no se encuentran en la misma subred y se estan cortocircuitando los paquetes y no se forma el cluster") 
    @Test
    public void getElementsCacheDistribuidaTest() {
    	Cache cache = null;
    	try {
    		cache = ContentCache.getCache();
    		Assert.assertNotNull(cache);
    		Assert.assertTrue("No se encuentra en cluster la cache",cache.getCacheConfiguration().isTerracottaClustered());
    		
		} catch (Exception e) {
			e.printStackTrace();
			Assert.fail();
		}
    }
	
}
